import src.ml_plot as ml_plot
import src.ml_load as ml_load
import numpy as np


# plot figures using an estimator trained on a different climate

do_nn = False

conv_cond = False
use_rh = False
no_cos = False

expt = 'abs1.4_norf_ras' # test on this expt
est_str = 'abs1.0_norf_ras_X-NoScaler_Y-SimpleY_Ntrnex700000_RF_regress_NumTrees10_MinSamples10_MaxFeaturesThird_minlev0.08' # use this estimator

#expt = 'abs1.0_norf_ras' 
#est_str = 'abs1.4_norf_ras_X-NoScaler_Y-SimpleY_Ntrnex700000_RF_regress_NumTrees10_MinSamples10_MaxFeaturesThird_minlev0.08_xtropics20'

#expt = 'abs1.0_norf_ras' 
#est_str = 'conv_cond_abs1.4_norf_ras_X-NoScaler_Y-SigmaCubedY_Ntrnex700000_RF_regress_NumTrees10_MinSamples10_MaxFeaturesThird_minlev0.08_nocos_rh'
#conv_cond = True
#use_rh = True
#no_cos = False


#expt = 'abs1.4_norf_ras' 
#est_str = 'abs1.0_norf_ras_X-NoScaler_Y-SimpleY_Ntrnex700000_RF_regress_NumTrees20_MinSamples10_MaxFeaturesThird_minlev0.08'

#expt = 'abs1.4_norf_ras' 
#est_str = 'abs1.0_norf_ras_X-NoScaler_Y-SimpleY_Ntrnex700000_RF_regress_NumTrees10_MinSamples10_MaxFeaturesThird_minlev0.08_tropics20'

#expt = 'abs1.0_norf_ras'
#est_str = 'abs1.4_norf_ras_X-NoScaler_Y-SimpleY_Ntrnex700000_RF_regress_NumTrees10_MinSamples10_MaxFeaturesThird_minlev0.08'

# Get test data filename
datadir, trainfile, testfile, pp_str = ml_load.GetDataPath(conv_cond, expt)

# Set figure path 
figpath = './figs/' + est_str + '/test_on_' + expt + '/'

# Plot figures
# use all test data available
ml_plot.PlotAllFigs(est_str, testfile, do_nn, figpath, conv_cond=conv_cond, use_rh=use_rh, no_cos=no_cos)


